NewsFeedPanel (gCube News Feed Portlet 1.6.2-SNAPSHOT API)
Date: 2014-04-01

org.gcube.portlets.user.newsfeed.client.panels

## Class NewsFeedPanel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.user.newsfeed.client.panels.NewsFeedPanel

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class NewsFeedPanel
      extends com.google.gwt.user.client.ui.Composite

  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMENT_LABEL`
    `static String` | `GET_OID_PARAMETER`
    `static String` | `LIKE_LABEL`
    `static String` | `LIKED_LABEL`
    `static String` | `loading`
    `static String` | `MESSAGE_LABEL`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewsFeedPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJustAddedFeed(org.gcube.portal.databook.shared.ClientFeed cFeed)` used when addin directly a feed from the UI (IPC)
    `protected void` | `doDeleteComment(TweetTemplate owner, String commentId)`
    `protected void` | `doShowCachedNewUpdates()` called when a user click on the are new updates
    `protected void` | `doShowMoreUpdates()` called when a user click on show more updates
    `void` | `setCurrentFilter(FilterType currentFilter)` set the filter type status for automatic reloading of tweets
    `void` | `showAllUpdatesFeeds()` All Updates
    `void` | `showOnlyConnectionsFeeds()` Only User Connections
    `void` | `showOnlyLikedFeeds()` Only User Liked Feeds
    `void` | `showOnlyMyFeeds()` Only User Feeds

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### loading

          public static final String loading

    - #### GET_OID_PARAMETER

          public static final String GET_OID_PARAMETER

      See Also:
        Constant Field Values

    - #### LIKE_LABEL

          public static final String LIKE_LABEL

      See Also:
        Constant Field Values

    - #### LIKED_LABEL

          public static final String LIKED_LABEL

      See Also:
        Constant Field Values

    - #### COMMENT_LABEL

          public static final String COMMENT_LABEL

      See Also:
        Constant Field Values

    - #### MESSAGE_LABEL

          public static final String MESSAGE_LABEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NewsFeedPanel

          public NewsFeedPanel()

  - ### Method Detail

    - #### doShowCachedNewUpdates

          protected void doShowCachedNewUpdates()

      called when a user click on the are new updates

    - #### addJustAddedFeed

          public void addJustAddedFeed(org.gcube.portal.databook.shared.ClientFeed cFeed)

      used when addin directly a feed from the UI (IPC)
      Parameters:
        `userid` -
        `fullName` -
        `thumbURL` -
        `description` -

    - #### showAllUpdatesFeeds

          public void showAllUpdatesFeeds()

      All Updates

    - #### doShowMoreUpdates

          protected void doShowMoreUpdates()

      called when a user click on show more updates

    - #### showOnlyConnectionsFeeds

          public void showOnlyConnectionsFeeds()

      Only User Connections

    - #### showOnlyMyFeeds

          public void showOnlyMyFeeds()

      Only User Feeds

    - #### showOnlyLikedFeeds

          public void showOnlyLikedFeeds()

      Only User Liked Feeds

    - #### doDeleteComment

          protected void doDeleteComment(TweetTemplate owner,
                             String commentId)

    - #### setCurrentFilter

          public void setCurrentFilter(FilterType currentFilter)

      set the filter type status for automatic reloading of tweets
      Parameters:
        `currentFilter` -

Copyright © 2014. All Rights Reserved.